Subject: [bug#74046] [PATCH] doc: Add "Contributing to Guix's infrastructure".

From: Ludovic Courtès <[email-masked]>
Date: Wed, 20 Nov 2024 23:16:15 +0100

Hi,

Nicolas Graves <[email-masked]> skribis:

> I have no particular knowledge about distributed computing other than a
> past use of BOINC, but I wonder if some contribution in that form would
> be useful in a near future in Guix.  I have a beefy machine and would be
> happy to lend ~10 cores for 10h/day to building Guix binaries.  Not that
> much, but I like the idea, and I think it also helps to create another
> contribution option and might participate to create a stronger
> community. (By the way, same thing for peer-sharing build results, with
> the same problematics).

That’s not really an option, from a security viewpoint: since the only
way to check that the binaries someone provides really corresponds to
the source is to build them, the binary provider has to be trusted by
its users.  A BOINC-style model doesn’t seem practical.

Ludo’.